Bug 1309147 - 4.5+ doesn't boot on arm64 devices that require 64K pages
4.5+ doesn't boot on arm64 devices that require 64K pages
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
aarch64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARM64/F-ExcludeArch-aarch64
  Show dependency treegraph
 
Reported: 2016-02-16 19:43 EST by Itaru Kitayama
Modified: 2016-04-01 05:13 EDT (History)
11 users (show)

See Also:
Fixed In Version: kernel-4.5.0-302.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-01 05:13:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
4.5 Mustang boot (31.14 KB, text/plain)
2016-03-21 17:25 EDT, Paul Whalen
no flags Details
4.5 Seattle (40.16 KB, text/plain)
2016-03-21 17:26 EDT, Paul Whalen
no flags Details
4.5 Mustang acpi (20.86 KB, text/plain)
2016-03-22 10:17 EDT, Paul Whalen
no flags Details
4.5 kernel boot log on Mustang (48.40 KB, text/plain)
2016-03-31 18:32 EDT, Itaru Kitayama
no flags Details

  None (edit)
Description Itaru Kitayama 2016-02-16 19:43:26 EST
Description of problem:
f24 candidate kernel boot fails

Version-Release number of selected component (if applicable):
f24 (v4.5 candidate kernel)

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:
 

Expected results:


Additional info:

Here's the boot log:

EFI stub: Booting Linux Kernel...
EFI stub: Using DTB from configuration table
EFI stub: Exiting boot services and installing virtual address map...
L3c Cache: 8MB
[    0.000000] Booting Linux on physical CPU 0x0
[    0.000000] Linux version 4.5.0-0.rc3.git3.1.fc24.aarch64 (mockbuild@aarch64-05a.arm.fedoraproject.org) (gcc version 6.0.0 20160212 (Red Hat 6.0.0-0.11) (GCC) ) #1 SMP Sun Feb 14 00:23:59 UTC 2016
[    0.000000] Boot CPU: AArch64 Processor [500f0001]
[    0.000000] earlycon: Early serial console at MMIO32 0x1c020000 (options '')
[    0.000000] bootconsole [uart0] enabled
[    0.000000] efi: Getting EFI parameters from FDT:
[    0.000000] EFI v2.40 by X-Gene Mustang Board EFI Feb  2 2016 11:37:48
[    0.000000] efi:  ACPI=0x47fa853000  ACPI 2.0=0x47fa853014  SMBIOS 3.0=0x47fa851000 
[    0.000000] Ignoring memory range 0x4000000000 - 0x4000200000
[    0.000000] cma: Reserved 512 MiB at 0x00000040e0000000
[    0.000000] On node 0 totalpages: 524256
[    0.000000]   DMA zone: 64 pages used for memmap
[    0.000000]   DMA zone: 0 pages reserved
[    0.000000]   DMA zone: 65504 pages, LIFO batch:1
[    0.000000]   Normal zone: 448 pages used for memmap
[    0.000000]   Normal zone: 458752 pages, LIFO batch:1
[    0.000000] PERCPU: Embedded 3 pages/cpu @fffffe07ffc10000 s107160 r8192 d81256 u196608
[    0.000000] pcpu-alloc: s107160 r8192 d81256 u196608 alloc=3*65536
[    0.000000] pcpu-alloc: [0] 0 [0] 1 [0] 2 [0] 3 [0] 4 [0] 5 [0] 6 [0] 7 
[    0.000000] Detected PIPT I-cache on CPU0
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 523744
[    0.000000] Kernel command line: BOOT_IMAGE=/vmlinuz-4.5.0-0.rc3.git3.1.fc24.aarch64 root=UUID=0e305934-49d5-4f66-b10b-23ec6029fab9 ro earlycon=uart8250,mmio32,0x1c020000 console=ttyS0,115200 debug LANG=en_US.UTF-8
[    0.000000] PID hash table entries: 4096 (order: -1, 32768 bytes)
[    0.000000] Dentry cache hash table entries: 4194304 (order: 9, 33554432 bytes)
[    0.000000] Inode-cache hash table entries: 2097152 (order: 8, 16777216 bytes)
[    0.000000] software IO TLB [mem 0x40dbff0000-0x40dfff0000] (64MB) mapped at [fffffe00dbdf0000-fffffe00dfdeffff]
[    0.000000] Memory: 32836096K/33552384K available (7941K kernel code, 1328K rwdata, 3392K rodata, 1152K init, 1388K bss, 192000K reserved, 524288K cma-reserved)
[    0.000000] Virtual kernel memory layout:
[    0.000000]     vmalloc : 0xfffffc0000000000 - 0xfffffdfedfff0000   (  2043 GB)
[    0.000000]     vmemmap : 0xfffffdfee0000000 - 0xfffffdffe0000000   (     4 GB maximum)
[    0.000000]               0xfffffdfef0000800 - 0xfffffdfef2000000   (    31 MB actual)
[    0.000000]     fixed   : 0xfffffdfffa7d0000 - 0xfffffdfffac00000   (  4288 KB)
[    0.000000]     PCI I/O : 0xfffffdfffae00000 - 0xfffffdfffbe00000   (    16 MB)
[    0.000000]     modules : 0xfffffdfffc000000 - 0xfffffe0000000000   (    64 MB)
[    0.000000]     memory  : 0xfffffe0000000000 - 0xfffffe07ffe00000   ( 32766 MB)
[    0.000000]       .init : 0xfffffe0000ba0000 - 0xfffffe0000cc0000   (  1152 KB)
[    0.000000]       .text : 0xfffffe0000080000 - 0xfffffe0000b92c84   ( 11340 KB)
[    0.000000]       .data : 0xfffffe0000cc0000 - 0xfffffe0000e0c000   (  1328 KB)
[    0.000000] SLUB: HWalign=64, Order=0-3, MinObjects=0, CPUs=8, Nodes=1
[    0.000000] Hierarchical RCU implementation.
[    0.000000] 	Build-time adjustment of leaf fanout to 64.
[    0.000000] NR_IRQS:64 nr_irqs:64 0
[    0.000000] GIC: Adjusting CPU interface base to 0x00000000780af000
[    0.000000] GIC: Using split EOI/Deactivate mode
[    0.000000] Architected cp15 timer(s) running at 50.00MHz (phys).
[    0.000000] clocksource: arch_sys_counter: mask: 0xffffffffffffff max_cycles: 0xb8812736b, max_idle_ns: 440795202655 ns
[    0.000002] sched_clock: 56 bits at 50MHz, resolution 20ns, wraps every 4398046511100ns
[    0.008345] Console: colour dummy device 80x25
[    0.012977] Calibrating delay loop (skipped), value calculated using timer frequency.. 100.00 BogoMIPS (lpj=50000)
[    0.023640] pid_max: default: 32768 minimum: 301
[    0.028473] Security Framework initialized
[    0.032688] Yama: becoming mindful.
[    0.036294] SELinux:  Initializing.
[    0.039884] SELinux:  Starting in permissive mode
[    0.044802] Mount-cache hash table entries: 65536 (order: 3, 524288 bytes)
[    0.051868] Mountpoint-cache hash table entries: 65536 (order: 3, 524288 bytes)
[    0.059847] ftrace: allocating 28464 entries in 7 pages
[    0.125944] ASID allocator initialised with 65536 entries
[    0.132320] Remapping and enabling EFI services.
[    0.137114]   EFI remap 0x0000000010510000 => 0000000020000000
[    0.143117]   EFI remap 0x0000000010548000 => 0000000020018000
[    0.149161]   EFI remap 0x0000000017000000 => 0000000020020000
[    0.155213]   EFI remap 0x000000001c025000 => 0000000020035000
[    0.161290]   EFI remap 0x000000007c0c0000 => 0000000020040000
[    0.167342]   EFI remap 0x000000007c1c0000 => 0000000020050000
[    0.173420]   EFI remap 0x000000007c2c0000 => 0000000020060000
[    0.179480]   EFI remap 0x000000007c3c0000 => 0000000020070000
[    0.185558]   EFI remap 0x000000007c4c0000 => 0000000020080000
[    0.191575]   EFI remap 0x000000007c5c0000 => 0000000020090000
[    0.197592]   EFI remap 0x000000007c6c0000 => 00000000200a0000
[    0.203653]   EFI remap 0x000000007c7c0000 => 00000000200b0000
[    0.209714]   EFI remap 0x00000047fa80c000 => 00000000200cc000
[    0.215775]   EFI remap 0x00000047fa854000 => 00000000200d4000
[    0.221836]   EFI remap 0x00000047ff9fc000 => 00000000202cc000
[    0.227853]   EFI remap 0x00000047ffa10000 => 00000000202e0000
[    0.233903] dmi check: not initialized yet.
[    0.238241] ------------[ cut here ]------------
[    0.243047] WARNING: at drivers/firmware/dmi_scan.c:762
[    0.248465] Modules linked in:
[    0.251621] 
[    0.253163] CPU: 0 PID: 1 Comm: swapper/0 Not tainted 4.5.0-0.rc3.git3.1.fc24.aarch64 #1
[    0.261520] Hardware name: APM X-Gene Mustang board (DT)
[    0.267000] task: fffffe07dbf00000 ti: fffffe07dbf80000 task.ti: fffffe07dbf80000
[    0.274755] PC is at dmi_matches+0x104/0x110
[    0.279198] LR is at dmi_matches+0x104/0x110
[    0.283615] pc : [<fffffe0000686a04>] lr : [<fffffe0000686a04>] pstate: 60000245
[    0.291228] sp : fffffe07dbf83de0
[    0.294608] x29: fffffe07dbf83de0 x28: 0000000000000000 
[    0.300106] x27: 0000000000000000 x26: 0000000000000000 
[    0.305594] x25: 0000000000000000 x24: 0000000000000000 
[    0.311100] x23: 0000000000000000 x22: 0000000000000000 
[    0.316589] x21: fffffe000084e100 x20: 0000000000000000 
[    0.322077] x19: fffffe0000f4c000 x18: 0000000000000010 
[    0.327591] x17: 0000000000000007 x16: 0000000000000001 
[    0.333131] x15: 0000000000000006 x14: fffffe0080e23caf 
[    0.338611] x13: fffffe0000e23cb7 x12: fffffe0000e23000 
[    0.344126] x11: 0000000000000000 x10: 0000000005f5e0ff 
[    0.349606] x9 : fffffe07dbf83b50 x8 : 6920746f6e203a6b 
[    0.355120] x7 : 6365686320696d64 x6 : 0000000000000042 
[    0.360721] x5 : 0000000000000006 x4 : fffffe0000bd8464 
[    0.366227] x3 : 0000000000000000 x2 : 0000000000000000 
[    0.371767] x1 : fffffe0000d13bd8 x0 : 000000000000001f 
[    0.377298] 
[    0.378857] ---[ end trace 0a14de42d539ce1c ]---
[    0.383620] Call trace:
[    0.386119] Exception stack(0xfffffe07dbf83c20 to 0xfffffe07dbf83d40)
[    0.392818] 3c20: fffffe0000f4c000 0000000000000000 fffffe07dbf83de0 fffffe0000686a04
[    0.400891] 3c40: fffffe0000e65000 fffffe0000e23898 fffffe0000e23000 0000000000000000
[    0.408997] 3c60: fffffe07dbf83d00 fffffe000010cd24 fffffe07dbf83d60 fffffe0000b03110
[    0.417060] 3c80: fffffe000084e100 0000000000000000 0000000000000000 0000000000000000
[    0.425184] 3ca0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    0.433308] 3cc0: 000000000000001f fffffe0000d13bd8 0000000000000000 0000000000000000
[    0.441492] 3ce0: fffffe0000bd8464 0000000000000006 0000000000000042 6365686320696d64
[    0.449633] 3d00: 6920746f6e203a6b fffffe07dbf83b50 0000000005f5e0ff 0000000000000000
[    0.457783] 3d20: fffffe0000e23000 fffffe0000e23cb7 fffffe0080e23caf 0000000000000006
[    0.465908] [<fffffe0000686a04>] dmi_matches+0x104/0x110
[    0.471414] [<fffffe0000686a40>] dmi_check_system+0x30/0x70
[    0.477171] [<fffffe0000bb2820>] lockup_detector_init+0x1c/0x74
[    0.483343] [<fffffe0000ba0aac>] kernel_init_freeable+0xf0/0x250
[    0.489542] [<fffffe0000825690>] kernel_init+0x20/0xe8
[    0.494894] [<fffffe00000851c0>] ret_from_fork+0x10/0x50
[    0.500413] dmi check: not initialized yet.
[    0.504765] ------------[ cut here ]------------
[    0.509553] WARNING: at drivers/firmware/dmi_scan.c:762
[    0.514971] Modules linked in:
[    0.518143] 
[    0.519675] CPU: 0 PID: 1 Comm: swapper/0 Tainted: G        W       4.5.0-0.rc3.git3.1.fc24.aarch64 #1
[    0.529345] Hardware name: APM X-Gene Mustang board (DT)
[    0.534911] task: fffffe07dbf00000 ti: fffffe07dbf80000 task.ti: fffffe07dbf80000
[    0.542690] PC is at dmi_matches+0x104/0x110
[    0.547107] LR is at dmi_matches+0x104/0x110
[    0.551516] pc : [<fffffe0000686a04>] lr : [<fffffe0000686a04>] pstate: 60000245
[    0.559154] sp : fffffe07dbf83de0
[    0.562629] x29: fffffe07dbf83de0 x28: 0000000000000000 
[    0.568125] x27: 0000000000000000 x26: 0000000000000000 
[    0.573631] x25: 0000000000000000 x24: 0000000000000000 
[    0.579162] x23: 0000000000000000 x22: 0000000000000000 
[    0.584651] x21: fffffe000084e258 x20: 0000000000000000 
[    0.590156] x19: fffffe0000f4c000 x18: 0000000000000010 
[    0.595636] x17: 0000000000000007 x16: 0000000000000001 
[    0.601177] x15: 0000000000000006 x14: fffffe0080e23caf 
[    0.606700] x13: fffffe0000e23cb7 x12: fffffe0000e23000 
[    0.612249] x11: 0000000000000000 x10: 0000000005f5e0ff 
[    0.617772] x9 : fffffe07dbf83b50 x8 : 7a696c616974696e 
[    0.623278] x7 : 6920746f6e203a6b x6 : 0000000000000070 
[    0.628801] x5 : 0000000000000006 x4 : fffffe0000bd8464 
[    0.634333] x3 : 0000000000000000 x2 : 0000000000000000 
[    0.639882] x1 : fffffe0000d13bd8 x0 : 000000000000001f 
[    0.645396] 
[    0.646944] ---[ end trace 0a14de42d539ce1d ]---
[    0.651672] Call trace:
[    0.654222] Exception stack(0xfffffe07dbf83c20 to 0xfffffe07dbf83d40)
[    0.660920] 3c20: fffffe0000f4c000 0000000000000000 fffffe07dbf83de0 fffffe0000686a04
[    0.669019] 3c40: fffffe0000e65000 fffffe0000e23898 fffffe0000e23000 0000000000000000
[    0.677168] 3c60: fffffe07dbf83d00 fffffe000010cd24 fffffe07dbf83d60 fffffe0000b03110
[    0.685326] 3c80: fffffe000084e258 0000000000000000 0000000000000000 0000000000000000
[    0.693467] 3ca0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    0.701574] 3cc0: 000000000000001f fffffe0000d13bd8 0000000000000000 0000000000000000
[    0.709724] 3ce0: fffffe0000bd8464 0000000000000006 0000000000000070 6920746f6e203a6b
[    0.717830] 3d00: 7a696c616974696e fffffe07dbf83b50 0000000005f5e0ff 0000000000000000
[    0.725937] 3d20: fffffe0000e23000 fffffe0000e23cb7 fffffe0080e23caf 0000000000000006
[    0.734069] [<fffffe0000686a04>] dmi_matches+0x104/0x110
[    0.739592] [<fffffe0000686a40>] dmi_check_system+0x30/0x70
[    0.745392] [<fffffe0000bb2820>] lockup_detector_init+0x1c/0x74
[    0.751477] [<fffffe0000ba0aac>] kernel_init_freeable+0xf0/0x250
[    0.757709] [<fffffe0000825690>] kernel_init+0x20/0xe8
[    0.763076] [<fffffe00000851c0>] ret_from_fork+0x10/0x50
[    0.768827] Detected PIPT I-cache on CPU1
[    0.768849] CPU1: Booted secondary processor [500f0001]
[    0.768997] Detected PIPT I-cache on CPU2
[    0.769016] CPU2: Booted secondary processor [500f0001]
[    0.769155] Detected PIPT I-cache on CPU3
[    0.769166] CPU3: Booted secondary processor [500f0001]
[    0.769302] Detected PIPT I-cache on CPU4
[    0.769321] CPU4: Booted secondary processor [500f0001]
[    0.769451] Detected PIPT I-cache on CPU5
[    0.769462] CPU5: Booted secondary processor [500f0001]
[    0.769605] Detected PIPT I-cache on CPU6
[    0.769624] CPU6: Booted secondary processor [500f0001]
[    0.769760] Detected PIPT I-cache on CPU7
[    0.769771] CPU7: Booted secondary processor [500f0001]
[    0.769796] Brought up 8 CPUs
[    0.839961] SMP: Total of 8 processors activated.
[    0.844857] CPU: All CPU(s) started at EL2
[    0.849675] devtmpfs: initialized
[    0.854526] SMBIOS 3.0.0 present.
[    0.858056] clocksource: jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 1911260446275000 ns
[    0.868571] atomic64_test: passed
[    0.872091] pinctrl core: initialized pinctrl subsystem
[    0.877804] NET: Registered protocol family 16
[    0.882682] vdso: 2 pages (1 code @ fffffe0000ce0000, 1 data @ fffffe0000cd0000)
[    0.890406] hw-breakpoint: found 4 breakpoint and 4 watchpoint registers.
[    0.897746] DMA: preallocated 256 KiB pool for atomic allocations
[    0.904146] Serial: AMBA PL011 UART driver
[    0.916575] HugeTLB registered 2 MB page size, pre-allocated 0 pages
[    0.923190] HugeTLB registered 512 MB page size, pre-allocated 0 pages
[    0.930488] xgene-msi 79000000.msi: APM X-Gene PCIe MSI driver loaded
[    0.937225] ACPI: Interpreter disabled.
[    0.941354] vgaarb: loaded
[    0.944322] SCSI subsystem initialized
[    0.948293] libata version 3.00 loaded.
[    0.952354] usbcore: registered new interface driver usbfs
[    0.958072] usbcore: registered new interface driver hub
[    0.963580] usbcore: registered new device driver usb
[    0.969216] NetLabel: Initializing
[    0.972726] NetLabel:  domain hash size = 128
[    0.977231] NetLabel:  protocols = UNLABELED CIPSOv4
[    0.982402] NetLabel:  unlabeled traffic allowed by default
[    0.988273] clocksource: Switched to clocksource arch_sys_counter
[    1.011911] VFS: Disk quotas dquot_6.6.0
[    1.016044] VFS: Dquot-cache hash table entries: 8192 (order 0, 65536 bytes)
[    1.023600] pnp: PnP ACPI: disabled
[    1.030465] NET: Registered protocol family 2
[    1.035209] TCP established hash table entries: 262144 (order: 5, 2097152 bytes)
[    1.043568] TCP bind hash table entries: 65536 (order: 4, 1048576 bytes)
[    1.050859] TCP: Hash tables configured (established 262144 bind 65536)
[    1.057807] UDP hash table entries: 16384 (order: 3, 524288 bytes)
[    1.064506] UDP-Lite hash table entries: 16384 (order: 3, 524288 bytes)
[    1.071736] NET: Registered protocol family 1
[    1.076429] RPC: Registered named UNIX socket transport module.
[    1.082546] RPC: Registered udp transport module.
[    1.087409] RPC: Registered tcp transport module.
[    1.092296] RPC: Registered tcp NFSv4.1 backchannel transport module.
[    1.099004] PCI: CLS 0 bytes, default 128
[    1.103315] Unpacking initramfs...
[    1.106817] Unable to handle kernel paging request at virtual address fffffe07f820b000
[    1.115048] pgd = fffffe0000fa0000
[    1.118551] [fffffe07f820b000] *pgd=000000401fe10003, *pud=000000401fe10003, *pmd=000000401fe10003, *pte=0000000000000000
[    1.129973] Internal error: Oops: 96000007 [#1] SMP
[    1.135055] Modules linked in:
[    1.138205] CPU: 0 PID: 1 Comm: swapper/0 Tainted: G        W       4.5.0-0.rc3.git3.1.fc24.aarch64 #1
[    1.147858] Hardware name: AppliedMicro Mustang/Mustang, BIOS 2.04.08-beta Feb  2 2016
[    1.156111] task: fffffe07dbf00000 ti: fffffe07dbf80000 task.ti: fffffe07dbf80000
[    1.163900] PC is at unpack_to_rootfs+0xcc/0x280
[    1.168680] LR is at unpack_to_rootfs+0x74/0x280
[    1.173486] pc : [<fffffe0000ba24bc>] lr : [<fffffe0000ba2464>] pstate: 20000045
[    1.181211] sp : fffffe07dbf83d40
[    1.184652] x29: fffffe07dbf83d40 x28: fffffe0000bf27f8 
[    1.190157] x27: fffffe0000c67898 x26: fffffe0000bf2790 
[    1.195706] x25: fffffe0000ba0260 x24: fffffe0000dfad70 
[    1.201229] x23: fffffe0000a65398 x22: fffffe0000bf4090 
[    1.206769] x21: 00000000013143e3 x20: fffffe07f820b000 
[    1.212293] x19: fffffe0000bf4000 x18: 0000000000000010 
[    1.217798] x17: 0000000000000000 x16: 0000000100000000 
[    1.223304] x15: 0000000000000006 x14: fffffe0080e23caf 
[    1.228861] x13: fffffe0000e23cb7 x12: fffffe0000e23000 
[    1.234367] x11: 0000000000000000 x10: 0000000005f5e0ff 
[    1.239934] x9 : fffffe07dbf83b10 x8 : 0000000000019393 
[    1.245448] x7 : fffffe07dbe5a000 x6 : 000000000000001e 
[    1.250910] x5 : fffffe07dbe58000 x4 : fffffe07ffc2c3a0 
[    1.256390] x3 : 000000000000001f x2 : fffffe0000bf4090 
[    1.261930] x1 : fffffe07dc2d8000 x0 : 0000000000000000 
[    1.267462] 
[    1.269011] Process swapper/0 (pid: 1, stack limit = 0xfffffe07dbf80020)
[    1.275994] Stack: (0xfffffe07dbf83d40 to 0xfffffe07dbf84000)
[    1.281950] 3d40: fffffe07dbf83da0 fffffe0000ba26e0 fffffe0000e20000 fffffe0000e20000
[    1.290117] 3d60: fffffe0000e20000 fffffe0000ba2670 0000000000000000 fffffe0000e20000
[    1.298293] 3d80: fffffe0000ba0260 fffffe0000bf2790 fffffdfef1f73380 fffffe07f3e1fe00
[    1.306382] 3da0: fffffe07dbf83dd0 fffffe0000082158 fffffe0000cf9620 fffffe0000cf9620
[    1.314540] 3dc0: fffffe07dcaef180 fffffe07f3e1fe00 fffffe07dbf83e50 fffffe0000ba0b70
[    1.322638] 3de0: 0000000000000103 fffffe0000e20000 0000000000000005 fffffe0000bf2860
[    1.330753] 3e00: fffffe0000b87000 fffffe0000bf2790 0000000000000000 fffffe0000bf27f0
[    1.338894] 3e20: fffffe0000d0cdd0 fffffe0000a6e900 0000000000000000 0000000500000005
[    1.346992] 3e40: 0000000000000000 fffffe0000ba0260 fffffe07dbf83eb0 fffffe0000825690
[    1.355202] 3e60: fffffe0000e20000 fffffe0000e20000 0000000000000000 0000000000000000
[    1.363317] 3e80: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    1.371423] 3ea0: 0000000000000000 0000000000000000 0000000000000000 fffffe00000851c0
[    1.379547] 3ec0: fffffe0000825670 0000000000000000 0000000000000000 0000000000000000
[    1.387653] 3ee0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    1.395751] 3f00: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    1.403883] 3f20: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    1.412059] 3f40: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    1.420156] 3f60: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    1.428211] 3f80: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    1.436360] 3fa0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    1.444458] 3fc0: 0000000000000000 0000000000000000 0000000000000000 0000000000000005
[    1.452625] 3fe0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    1.460696] Call trace:
[    1.463239] Exception stack(0xfffffe07dbf83b80 to 0xfffffe07dbf83ca0)
[    1.469912] 3b80: fffffe0000bf4000 fffffe07f820b000 fffffe07dbf83d40 fffffe0000ba24bc
[    1.478105] 3ba0: fffffe07dbf83bb0 fffffe000010c2d4 fffffe07dbf83c20 fffffe000010c9d4
[    1.486289] 3bc0: fffffe0000e23000 00000000000000ff fffffe0000d13000 0000000000000006
[    1.494361] 3be0: fffffe0000e236f8 0000000000000016 0000000000000000 fffffe0000e660fa
[    1.502433] 3c00: fffffe0000e65000 fffffe0000e23898 fffffe0000e23000 0000000000000000
[    1.510548] 3c20: 0000000000000000 fffffe07dc2d8000 fffffe0000bf4090 000000000000001f
[    1.518654] 3c40: fffffe07ffc2c3a0 fffffe07dbe58000 000000000000001e fffffe07dbe5a000
[    1.526812] 3c60: 0000000000019393 fffffe07dbf83b10 0000000005f5e0ff 0000000000000000
[    1.534927] 3c80: fffffe0000e23000 fffffe0000e23cb7 fffffe0080e23caf 0000000000000006
[    1.543043] [<fffffe0000ba24bc>] unpack_to_rootfs+0xcc/0x280
[    1.548939] [<fffffe0000ba26e0>] populate_rootfs+0x70/0xbc
[    1.554593] [<fffffe0000082158>] do_one_initcall+0xd8/0x1d8
[    1.560359] [<fffffe0000ba0b70>] kernel_init_freeable+0x1b4/0x250
[    1.566670] [<fffffe0000825690>] kernel_init+0x20/0xe8
[    1.572046] [<fffffe00000851c0>] ret_from_fork+0x10/0x50
[    1.577570] Code: 91024262 f100001f fa400aa4 540009e0 (39400280) 
[    1.583880] ---[ end trace 0a14de42d539ce1e ]---
[    1.588762] Kernel panic - not syncing: Attempted to kill init! exitcode=0x0000000b
[    1.588762] 
[    1.598212] CPU2: stopping
[    1.601061] CPU: 2 PID: 0 Comm: swapper/2 Tainted: G      D W       4.5.0-0.rc3.git3.1.fc24.aarch64 #1
[    1.610688] Hardware name: AppliedMicro Mustang/Mustang, BIOS 2.04.08-beta Feb  2 2016
[    1.618924] Call trace:
[    1.621443] [<fffffe0000088888>] dump_backtrace+0x0/0x250
[    1.627080] [<fffffe0000088afc>] show_stack+0x24/0x30
[    1.632303] [<fffffe000041b658>] dump_stack+0x84/0xa4
[    1.637507] [<fffffe000008e1c4>] handle_IPI+0x204/0x218
[    1.642909] [<fffffe0000081cb0>] gic_handle_irq+0x90/0xb0
[    1.648544] Exception stack(0xfffffe07dbfafe30 to 0xfffffe07dbfaff50)
[    1.655243] fe20:                                   fffffe07dbfac000 fffffe07ffc74aac
[    1.663358] fe40: fffffe07ffc74aa0 00000007ff000000 0100000000000000 0000000000000020
[    1.671500] fe60: 00000001c430449b 00000000000003e8 fffffe07dbf14c80 fffffe07dbfac000
[    1.679658] fe80: 0000000000001820 0000000000000000 0000000000000028 ffffffffffffffff
[    1.687808] fea0: fffffe0000e664d8 ffffffffffffffff 00000000fbf9f7f5 000000001d100000
[    1.695975] fec0: 0000000000000030 fffffe07dbfac000 fffffe07dbfac000 fffffe0000cf0000
[    1.704116] fee0: fffffe07dbfac000 fffffe0000cf0000 fffffe0000ded000 fffffe0000c74a48
[    1.712283] ff00: fffffe0000dec000 fffffe0000081fb0 00000000ff75bff7 fffffe07dbfaff50
[    1.720424] ff20: fffffe0000085a40 fffffe07dbfaff50 fffffe0000085a44 0000000060000045
[    1.728521] ff40: fffffe07dbfaff50 fffffe000011b2e0
[    1.733535] [<fffffe0000084d20>] el1_irq+0xa0/0x100
[    1.738584] [<fffffe0000085a44>] arch_cpu_idle+0x24/0xc0
[    1.744073] [<fffffe00000feeec>] cpu_startup_entry+0x19c/0x208
[    1.750115] [<fffffe000008dbd8>] secondary_start_kernel+0x120/0x148
[    1.756623] [<0000004000281f9c>] 0x4000281f9c
[    1.761144] CPU6: stopping
[    1.763957] CPU: 6 PID: 0 Comm: swapper/6 Tainted: G      D W       4.5.0-0.rc3.git3.1.fc24.aarch64 #1
[    1.773541] Hardware name: AppliedMicro Mustang/Mustang, BIOS 2.04.08-beta Feb  2 2016
[    1.781716] Call trace:
[    1.784261] [<fffffe0000088888>] dump_backtrace+0x0/0x250
[    1.789932] [<fffffe0000088afc>] show_stack+0x24/0x30
[    1.795163] [<fffffe000041b658>] dump_stack+0x84/0xa4
[    1.800401] [<fffffe000008e1c4>] handle_IPI+0x204/0x218
[    1.805838] [<fffffe0000081cb0>] gic_handle_irq+0x90/0xb0
[    1.811430] Exception stack(0xfffffe07dbfbfe30 to 0xfffffe07dbfbff50)
[    1.818111] fe20:                                   fffffe07dbfbc000 fffffe07ffd34aac
[    1.826269] fe40: fffffe07ffd34aa0 00000007ff0c0000 0100000000000000 0000000000000020
[    1.834428] fe60: 00000001c430449b 00000000fffb6cd5 fffffe07dbf1bc80 fffffe07dbfbc000
[    1.842500] fe80: 0000000000001820 0000000000000000 fffffe0000e23000 fffffe0000d13000
[    1.850658] fea0: fffffe0000e664d8 0000000000000008 00000000f3c7b2fd 000000001d100000
[    1.858825] fec0: 0000000000000030 fffffe07dbfbc000 fffffe07dbfbc000 fffffe0000cf0000
[    1.866949] fee0: fffffe07dbfbc000 fffffe0000cf0000 fffffe0000ded000 fffffe0000c74a48
[    1.875055] ff00: fffffe0000dec000 fffffe0000081fb0 ddee3f66f4ff76fc fffffe07dbfbff50
[    1.883153] ff20: fffffe0000085a40 fffffe07dbfbff50 fffffe0000085a44 0000000060000045
[    1.891268] ff40: fffffe07dbfbff50 fffffe000011b2e0
[    1.896351] [<fffffe0000084d20>] el1_irq+0xa0/0x100
[    1.901442] [<fffffe0000085a44>] arch_cpu_idle+0x24/0xc0
[    1.906931] [<fffffe00000feeec>] cpu_startup_entry+0x19c/0x208
[    1.912999] [<fffffe000008dbd8>] secondary_start_kernel+0x120/0x148
[    1.919481] [<0000004000281f9c>] 0x4000281f9c
[    1.924010] CPU5: stopping
[    1.926824] CPU: 5 PID: 0 Comm: swapper/5 Tainted: G      D W       4.5.0-0.rc3.git3.1.fc24.aarch64 #1
[    1.936555] Hardware name: AppliedMicro Mustang/Mustang, BIOS 2.04.08-beta Feb  2 2016
[    1.944764] Call trace:
[    1.947318] [<fffffe0000088888>] dump_backtrace+0x0/0x250
[    1.952945] [<fffffe0000088afc>] show_stack+0x24/0x30
[    1.958219] [<fffffe000041b658>] dump_stack+0x84/0xa4
[    1.963422] [<fffffe000008e1c4>] handle_IPI+0x204/0x218
[    1.968876] [<fffffe0000081cb0>] gic_handle_irq+0x90/0xb0
[    1.974425] Exception stack(0xfffffe07dbfbbe30 to 0xfffffe07dbfbbf50)
[    1.981072] be20:                                   fffffe07dbfb8000 fffffe07ffd04aac
[    1.989135] be40: fffffe07ffd04aa0 00000007ff090000 0100000000000000 0000000000000020
[    1.997242] be60: 00000001c430449b 00000000fffb6cd5 fffffe07dbf1a080 fffffe07dbfb8000
[    2.005443] be80: 0000000000001820 0000000000000000 fffffe0000e23000 fffffe0000d13000
[    2.013533] bea0: fffffe0000e664d8 0000000000000008 00000000dcedbf13 000000001d100000
[    2.021656] bec0: 0000000000000030 fffffe07dbfb8000 fffffe07dbfb8000 fffffe0000cf0000
[    2.029763] bee0: fffffe07dbfb8000 fffffe0000cf0000 fffffe0000ded000 fffffe0000c74a48
[    2.037930] bf00: fffffe0000dec000 fffffe0000081fb0 0000000075dfee7f fffffe07dbfbbf50
[    2.046088] bf20: fffffe0000085a40 fffffe07dbfbbf50 fffffe0000085a44 0000000060000045
[    2.054237] bf40: fffffe07dbfbbf50 fffffe000011b2e0
[    2.059294] [<fffffe0000084d20>] el1_irq+0xa0/0x100
[    2.064359] [<fffffe0000085a44>] arch_cpu_idle+0x24/0xc0
[    2.069857] [<fffffe00000feeec>] cpu_startup_entry+0x19c/0x208
[    2.075899] [<fffffe000008dbd8>] secondary_start_kernel+0x120/0x148
[    2.082372] [<0000004000281f9c>] 0x4000281f9c
[    2.086884] CPU7: stopping
[    2.089704] CPU: 7 PID: 0 Comm: swapper/7 Tainted: G      D W       4.5.0-0.rc3.git3.1.fc24.aarch64 #1
[    2.099427] Hardware name: AppliedMicro Mustang/Mustang, BIOS 2.04.08-beta Feb  2 2016
[    2.107644] Call trace:
[    2.110188] [<fffffe0000088888>] dump_backtrace+0x0/0x250
[    2.115798] [<fffffe0000088afc>] show_stack+0x24/0x30
[    2.121045] [<fffffe000041b658>] dump_stack+0x84/0xa4
[    2.126318] [<fffffe000008e1c4>] handle_IPI+0x204/0x218
[    2.131763] [<fffffe0000081cb0>] gic_handle_irq+0x90/0xb0
[    2.137347] Exception stack(0xfffffe07dbfc3e30 to 0xfffffe07dbfc3f50)
[    2.143993] 3e20:                                   fffffe07dbfc0000 fffffe07ffd64aac
[    2.152125] 3e40: fffffe07ffd64aa0 00000007ff0f0000 0100000000000000 0000000000000020
[    2.160231] 3e60: 00000001c430449b 00000000fffb6cd5 fffffe07dbf1d880 fffffe07dbfc0000
[    2.168416] 3e80: 0000000000001820 0000000000000000 fffffe0000e23000 fffffe0000d13000
[    2.176600] 3ea0: fffffe0000e664d8 0000000000000008 00000000e2c796b3 000000001d100000
[    2.184715] 3ec0: 0000000000000030 fffffe07dbfc0000 fffffe07dbfc0000 fffffe0000cf0000
[    2.192839] 3ee0: fffffe07dbfc0000 fffffe0000cf0000 fffffe0000ded000 fffffe0000c74a48
[    2.200928] 3f00: fffffe0000dec000 fffffe0000081fb0 00000000edd67f3c fffffe07dbfc3f50
[    2.209052] 3f20: fffffe0000085a40 fffffe07dbfc3f50 fffffe0000085a44 0000000060000045
[    2.217141] 3f40: fffffe07dbfc3f50 fffffe000011b2e0
[    2.222197] [<fffffe0000084d20>] el1_irq+0xa0/0x100
[    2.227237] [<fffffe0000085a44>] arch_cpu_idle+0x24/0xc0
[    2.232725] [<fffffe00000feeec>] cpu_startup_entry+0x19c/0x208
[    2.238775] [<fffffe000008dbd8>] secondary_start_kernel+0x120/0x148
[    2.245266] [<0000004000281f9c>] 0x4000281f9c
[    2.249786] CPU4: stopping
[    2.252581] CPU: 4 PID: 0 Comm: swapper/4 Tainted: G      D W       4.5.0-0.rc3.git3.1.fc24.aarch64 #1
[    2.262216] Hardware name: AppliedMicro Mustang/Mustang, BIOS 2.04.08-beta Feb  2 2016
[    2.270425] Call trace:
[    2.272978] [<fffffe0000088888>] dump_backtrace+0x0/0x250
[    2.278605] [<fffffe0000088afc>] show_stack+0x24/0x30
[    2.283826] [<fffffe000041b658>] dump_stack+0x84/0xa4
[    2.289047] [<fffffe000008e1c4>] handle_IPI+0x204/0x218
[    2.294475] [<fffffe0000081cb0>] gic_handle_irq+0x90/0xb0
[    2.300032] Exception stack(0xfffffe07dbfb7e30 to 0xfffffe07dbfb7f50)
[    2.306730] 7e20:                                   fffffe07dbfb4000 fffffe07ffcd4aac
[    2.314871] 7e40: fffffe07ffcd4aa0 00000007ff060000 0100000000000000 0000000000000020
[    2.322978] 7e60: 00000001c430449b 00000000000001f5 fffffe07dbf18480 fffffe07dbfb4000
[    2.331093] 7e80: 0000000000001820 0000000000000000 fffffe0000e23000 fffffe0000d13000
[    2.339191] 7ea0: fffffe0000e664d8 0000000000000008 000000007e7ae7e3 000000001d100000
[    2.347323] 7ec0: 0000000000000030 fffffe07dbfb4000 fffffe07dbfb4000 fffffe0000cf0000
[    2.355490] 7ee0: fffffe07dbfb4000 fffffe0000cf0000 fffffe0000ded000 fffffe0000c74a48
[    2.363623] 7f00: fffffe0000dec000 fffffe0000081fb0 00000000cefbf1fb fffffe07dbfb7f50
[    2.371729] 7f20: fffffe0000085a40 fffffe07dbfb7f50 fffffe0000085a44 0000000060000045
[    2.379801] 7f40: fffffe07dbfb7f50 fffffe000011b2e0
[    2.384831] [<fffffe0000084d20>] el1_irq+0xa0/0x100
[    2.389896] [<fffffe0000085a44>] arch_cpu_idle+0x24/0xc0
[    2.395402] [<fffffe00000feeec>] cpu_startup_entry+0x19c/0x208
[    2.401487] [<fffffe000008dbd8>] secondary_start_kernel+0x120/0x148
[    2.408012] [<0000004000281f9c>] 0x4000281f9c
[    2.412524] CPU1: stopping
[    2.415310] CPU: 1 PID: 0 Comm: swapper/1 Tainted: G      D W       4.5.0-0.rc3.git3.1.fc24.aarch64 #1
[    2.424989] Hardware name: AppliedMicro Mustang/Mustang, BIOS 2.04.08-beta Feb  2 2016
[    2.433250] Call trace:
[    2.435812] [<fffffe0000088888>] dump_backtrace+0x0/0x250
[    2.441440] [<fffffe0000088afc>] show_stack+0x24/0x30
[    2.446688] [<fffffe000041b658>] dump_stack+0x84/0xa4
[    2.451917] [<fffffe000008e1c4>] handle_IPI+0x204/0x218
[    2.457319] [<fffffe0000081cb0>] gic_handle_irq+0x90/0xb0
[    2.462903] Exception stack(0xfffffe07dbfabe30 to 0xfffffe07dbfabf50)
[    2.469610] be20:                                   fffffe07dbfa8000 fffffe07ffc44aac
[    2.477682] be40: fffffe07ffc44aa0 00000007fefd0000 0100000000000000 0000000000000020
[    2.485832] be60: 00000001c5bc3bcb 00000000fffb6edc 00000000fffb6edc fffffe07dbfa8000
[    2.493999] be80: 0000000000001820 0000000000000000 000000000001f50a 000000000001f50a
[    2.502166] bea0: 00000000000c8000 0000000000000008 00000000fef7fec9 000000001d100000
[    2.510247] bec0: 0000000000000030 fffffe07dbfa8000 fffffe07dbfa8000 fffffe0000cf0000
[    2.518440] bee0: fffffe07dbfa8000 fffffe0000cf0000 fffffe0000ded000 fffffe0000c74a48
[    2.526589] bf00: fffffe0000dec000 fffffe0000081fb0 00000000fffebd7d fffffe07dbfabf50
[    2.534773] bf20: fffffe0000085a40 fffffe07dbfabf50 fffffe0000085a44 0000000060000045
[    2.542906] bf40: fffffe07dbfabf50 fffffe000011b2e0
[    2.547953] [<fffffe0000084d20>] el1_irq+0xa0/0x100
[    2.552993] [<fffffe0000085a44>] arch_cpu_idle+0x24/0xc0
[    2.558483] [<fffffe00000feeec>] cpu_startup_entry+0x19c/0x208
[    2.564516] [<fffffe000008dbd8>] secondary_start_kernel+0x120/0x148
[    2.570963] [<0000004000281f9c>] 0x4000281f9c
[    2.575492] CPU3: stopping
[    2.578288] CPU: 3 PID: 0 Comm: swapper/3 Tainted: G      D W       4.5.0-0.rc3.git3.1.fc24.aarch64 #1
[    2.587949] Hardware name: AppliedMicro Mustang/Mustang, BIOS 2.04.08-beta Feb  2 2016
[    2.596185] Call trace:
[    2.598702] [<fffffe0000088888>] dump_backtrace+0x0/0x250
[    2.604330] [<fffffe0000088afc>] show_stack+0x24/0x30
[    2.609568] [<fffffe000041b658>] dump_stack+0x84/0xa4
[    2.614763] [<fffffe000008e1c4>] handle_IPI+0x204/0x218
[    2.620139] [<fffffe0000081cb0>] gic_handle_irq+0x90/0xb0
[    2.625731] Exception stack(0xfffffe07dbfb3e30 to 0xfffffe07dbfb3f50)
d    2.632377] 3e20:                                   fffffe07db[f b 0  0200. 63f8ff2f0f9]e 07SfMfP:c af4aaailce
  [ 0 7f f 2c.a64a4a2604 040]0 03e040007: fff0f3ff[e r n  e2l .p6a4n67ic9 9-]  -n-ot-[ s yenndc inKge:rn eAltt epmanptie0d  -t noo kti lsyln icniingt:!  Aetxitetcmoptdeed= 0xto00 k[ 16 8 8 02. 6ff5f80f7f5e]07 3dbef60b:0 000000
300000001c0b4
004[4  9 b  02.0604060079090]0 0
 003e8 fffffe07dbf16880 fffffe07dbfb0000
[    2.670335] 3e80: 0000000000001820 0000000000000000 fffffe0000e23000 fffffe0000d13000
[    2.678450] 3ea0: fffffe0000e664d8 0000000000000008 7bfffbf5dff7feff 000000001d100000
[    2.686617] 3ec0: 0000000000000030 fffffe07dbfb0000 fffffe07dbfb0000 fffffe0000cf0000
[    2.694723] 3ee0: fffffe07dbfb0000 fffffe0000cf0000 fffffe0000ded000 fffffe0000c74a48
[    2.702847] 3f00: fffffe0000dec000 fffffe0000081fb0 00000000f7ef8fff fffffe07dbfb3f50
[    2.710953] 3f20: fffffe0000085a40 fffffe07dbfb3f50 fffffe0000085a44 0000000060000045
[    2.719094] 3f40: fffffe07dbfb3f50 fffffe000011b2e0
[    2.724116] [<fffffe0000084d20>] el1_irq+0xa0/0x100
[    2.729147] [<fffffe0000085a44>] arch_cpu_idle+0x24/0xc0
[    2.734653] [<fffffe00000feeec>] cpu_startup_entry+0x19c/0x208
[    2.740703] [<fffffe000008dbd8>] secondary_start_kernel+0x120/0x148
[    2.747159] [<0000004000281f9c>] 0x4000281f9c
Comment 1 Peter Robinson 2016-02-16 20:17:57 EST
known issue, the storage module isn't loading properly all the time, sometimes it'll boot, sometimes it doesn't
Comment 2 Peter Robinson 2016-02-16 20:18:41 EST
Please also include in the initial description an overview of the hardware and the actual problem in more detail than "doesn't boot"
Comment 3 Itaru Kitayama 2016-02-16 20:58:08 EST
Hi Peter,
The hardware is APM Mustang with the beta version of F/W.
The actual problem I suspect is unpacking initramfs fails, that did not occur with the f24 candidate kernel based upon v4.4.

Does this help?
Comment 4 Itaru Kitayama 2016-02-16 21:00:12 EST
This is the F/W version:
 
Boot firmware (version 2.04.08-beta built at 11:36:55 on Feb  2 2016)
Comment 5 Peter Robinson 2016-02-25 14:40:57 EST
Can you test against the latest 4.5rc5 kernel
Comment 6 Itaru Kitayama 2016-02-25 20:29:27 EST
It still crashes.



EFI stub: Booting Linux Kernel...
EFI stub: Using DTB from configuration table
EFI stub: Exiting boot services and installing virtual address map...
L3c Cache: 8MB
[    0.000000] Booting Linux on physical CPU 0x0
[    0.000000] Linux version 4.5.0-0.rc5.git0.1.fc24.aarch64 (mockbuild@aarch64-09a.arm.fedoraproject.org) (gcc version 6.0.0 20160219 (Red Hat 6.0.0-0.12) (GCC) ) #1 SMP Mon Feb 22 08:29:35 UTC 2016
[    0.000000] Boot CPU: AArch64 Processor [500f0001]
[    0.000000] earlycon: Early serial console at MMIO32 0x1c020000 (options '')
[    0.000000] bootconsole [uart0] enabled
[    0.000000] efi: Getting EFI parameters from FDT:
[    0.000000] EFI v2.40 by X-Gene Mustang Board EFI Feb  2 2016 11:37:48
[    0.000000] efi:  ACPI=0x47fa853000  ACPI 2.0=0x47fa853014  SMBIOS 3.0=0x47fa851000 
[    0.000000] Ignoring memory range 0x4000000000 - 0x4000200000
[    0.000000] cma: Reserved 512 MiB at 0x00000040e0000000
[    0.000000] PERCPU: Embedded 3 pages/cpu @fffffe07ffc10000 s107160 r8192 d81256 u196608
[    0.000000] Detected PIPT I-cache on CPU0
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 523744
[    0.000000] Kernel command line: BOOT_IMAGE=/vmlinuz-4.5.0-0.rc5.git0.1.fc24.aarch64 root=UUID=0e305934-49d5-4f66-b10b-23ec6029fab9 ro earlycon=uart8250,mmio32,0x1c020000 console=ttyS0,115200 LANG=en_US.UTF-8
[    0.000000] PID hash table entries: 4096 (order: -1, 32768 bytes)
[    0.000000] Dentry cache hash table entries: 4194304 (order: 9, 33554432 bytes)
[    0.000000] Inode-cache hash table entries: 2097152 (order: 8, 16777216 bytes)
[    0.000000] software IO TLB [mem 0x40dbff0000-0x40dfff0000] (64MB) mapped at [fffffe00dbdf0000-fffffe00dfdeffff]
[    0.000000] Memory: 32836032K/33552384K available (7941K kernel code, 1331K rwdata, 3392K rodata, 1152K init, 1385K bss, 192064K reserved, 524288K cma-reserved)
[    0.000000] Virtual kernel memory layout:
[    0.000000]     vmalloc : 0xfffffc0000000000 - 0xfffffdfedfff0000   (  2043 GB)
[    0.000000]     vmemmap : 0xfffffdfee0000000 - 0xfffffdffe0000000   (     4 GB maximum)
[    0.000000]               0xfffffdfef0000800 - 0xfffffdfef2000000   (    31 MB actual)
[    0.000000]     fixed   : 0xfffffdfffa7d0000 - 0xfffffdfffac00000   (  4288 KB)
[    0.000000]     PCI I/O : 0xfffffdfffae00000 - 0xfffffdfffbe00000   (    16 MB)
[    0.000000]     modules : 0xfffffdfffc000000 - 0xfffffe0000000000   (    64 MB)
[    0.000000]     memory  : 0xfffffe0000000000 - 0xfffffe07ffe00000   ( 32766 MB)
[    0.000000]       .init : 0xfffffe0000ba0000 - 0xfffffe0000cc0000   (  1152 KB)
[    0.000000]       .text : 0xfffffe0000080000 - 0xfffffe0000b92c84   ( 11340 KB)
[    0.000000]       .data : 0xfffffe0000cc0000 - 0xfffffe0000e0cc00   (  1331 KB)
[    0.000000] SLUB: HWalign=64, Order=0-3, MinObjects=0, CPUs=8, Nodes=1
[    0.000000] Hierarchical RCU implementation.
[    0.000000] 	Build-time adjustment of leaf fanout to 64.
[    0.000000] NR_IRQS:64 nr_irqs:64 0
[    0.000000] GIC: Adjusting CPU interface base to 0x00000000780af000
[    0.000000] GIC: Using split EOI/Deactivate mode
[    0.000000] Architected cp15 timer(s) running at 50.00MHz (phys).
[    0.000000] clocksource: arch_sys_counter: mask: 0xffffffffffffff max_cycles: 0xb8812736b, max_idle_ns: 440795202655 ns
[    0.000002] sched_clock: 56 bits at 50MHz, resolution 20ns, wraps every 4398046511100ns
[    0.008356] Console: colour dummy device 80x25
[    0.012935] Calibrating delay loop (skipped), value calculated using timer frequency.. 100.00 BogoMIPS (lpj=50000)
[    0.023512] pid_max: default: 32768 minimum: 301
[    0.028284] Security Framework initialized
[    0.032526] Yama: becoming mindful.
[    0.036106] SELinux:  Initializing.
[    0.039746] Mount-cache hash table entries: 65536 (order: 3, 524288 bytes)
[    0.046794] Mountpoint-cache hash table entries: 65536 (order: 3, 524288 bytes)
[    0.054795] ftrace: allocating 28499 entries in 7 pages
[    0.121336] ASID allocator initialised with 65536 entries
[    0.127714] Remapping and enabling EFI services.
[    0.132559]   EFI remap 0x0000000010510000 => 0000000020000000
[    0.138605]   EFI remap 0x0000000010548000 => 0000000020018000
[    0.144701]   EFI remap 0x0000000017000000 => 0000000020020000
[    0.150727]   EFI remap 0x000000001c025000 => 0000000020035000
[    0.156787]   EFI remap 0x000000007c0c0000 => 0000000020040000
[    0.162865]   EFI remap 0x000000007c1c0000 => 0000000020050000
[    0.168917]   EFI remap 0x000000007c2c0000 => 0000000020060000
[    0.174994]   EFI remap 0x000000007c3c0000 => 0000000020070000
[    0.181028]   EFI remap 0x000000007c4c0000 => 0000000020080000
[    0.187105]   EFI remap 0x000000007c5c0000 => 0000000020090000
[    0.193175]   EFI remap 0x000000007c6c0000 => 00000000200a0000
[    0.199192]   EFI remap 0x000000007c7c0000 => 00000000200b0000
[    0.205218]   EFI remap 0x00000047fa80c000 => 00000000200cc000
[    0.211331]   EFI remap 0x00000047fa854000 => 00000000200d4000
[    0.217400]   EFI remap 0x00000047ff9fc000 => 00000000202cc000
[    0.223435]   EFI remap 0x00000047ffa10000 => 00000000202e0000
[    0.229521] dmi check: not initialized yet.
[    0.233876] ------------[ cut here ]------------
[    0.238656] WARNING: at drivers/firmware/dmi_scan.c:762
[    0.244092] Modules linked in:
[    0.247256] 
[    0.248798] CPU: 0 PID: 1 Comm: swapper/0 Not tainted 4.5.0-0.rc5.git0.1.fc24.aarch64 #1
[    0.257250] Hardware name: APM X-Gene Mustang board (DT)
[    0.262739] task: fffffe07dbf00000 ti: fffffe07dbf80000 task.ti: fffffe07dbf80000
[    0.270571] PC is at dmi_matches+0x104/0x110
[    0.275006] LR is at dmi_matches+0x104/0x110
[    0.279388] pc : [<fffffe0000691674>] lr : [<fffffe0000691674>] pstate: 60000245
[    0.287019] sp : fffffe07dbf83de0
[    0.290450] x29: fffffe07dbf83de0 x28: 0000000000000000 
[    0.295965] x27: 0000000000000000 x26: 0000000000000000 
[    0.301531] x25: 0000000000000000 x24: 0000000000000000 
[    0.306977] x23: 0000000000000000 x22: 0000000000000000 
[    0.312534] x21: fffffe000084e100 x20: 0000000000000000 
[    0.318048] x19: fffffe0000f4c000 x18: 0000000000000010 
[    0.323528] x17: 0000000000000007 x16: 0000000000000001 
[    0.328990] x15: 0000000000000006 x14: fffffe0080e23caf 
[    0.334538] x13: fffffe0000e23cb7 x12: fffffe0000e23000 
[    0.340070] x11: 0000000000000000 x10: 0000000005f5e0ff 
[    0.345567] x9 : fffffe07dbf83b50 x8 : 7a696c616974696e 
[    0.351064] x7 : 6920746f6e203a6b x6 : 0000000000000042 
[    0.356570] x5 : 0000000000000006 x4 : fffffe0000bd8428 
[    0.362093] x3 : 0000000000000000 x2 : 0000000000000000 
[    0.367573] x1 : fffffe0000d13bd8 x0 : 000000000000001f 
[    0.373061] 
[    0.374619] ---[ end trace e8ab5bd4e2cd73f4 ]---
[    0.379425] Call trace:
[    0.381933] Exception stack(0xfffffe07dbf83c20 to 0xfffffe07dbf83d40)
[    0.388667] 3c20: fffffe0000f4c000 0000000000000000 fffffe07dbf83de0 fffffe0000691674
[    0.396816] 3c40: fffffe0000e65000 fffffe0000e23898 fffffe0000e23000 0000000000000000
[    0.404923] 3c60: fffffe07dbf83d00 fffffe000010df8c fffffe07dbf83d60 fffffe0000b048e8
[    0.413029] 3c80: fffffe000084e100 0000000000000000 0000000000000000 0000000000000000
[    0.421075] 3ca0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    0.429156] 3cc0: 000000000000001f fffffe0000d13bd8 0000000000000000 0000000000000000
[    0.437280] 3ce0: fffffe0000bd8428 0000000000000006 0000000000000042 6920746f6e203a6b
[    0.445360] 3d00: 7a696c616974696e fffffe07dbf83b50 0000000005f5e0ff 0000000000000000
[    0.453492] 3d20: fffffe0000e23000 fffffe0000e23cb7 fffffe0080e23caf 0000000000000006
[    0.461617] [<fffffe0000691674>] dmi_matches+0x104/0x110
[    0.467089] [<fffffe00006916b0>] dmi_check_system+0x30/0x70
[    0.472855] [<fffffe0000bb2800>] lockup_detector_init+0x1c/0x74
[    0.478993] [<fffffe0000ba0aa4>] kernel_init_freeable+0xf0/0x248
[    0.485235] [<fffffe00008314f8>] kernel_init+0x20/0xe8
[    0.490526] [<fffffe00000851c0>] ret_from_fork+0x10/0x50
[    0.496036] dmi check: not initialized yet.
[    0.500396] ------------[ cut here ]------------
[    0.505167] WARNING: at drivers/firmware/dmi_scan.c:762
[    0.510577] Modules linked in:
[    0.513741] 
[    0.515273] CPU: 0 PID: 1 Comm: swapper/0 Tainted: G        W       4.5.0-0.rc5.git0.1.fc24.aarch64 #1
[    0.524943] Hardware name: APM X-Gene Mustang board (DT)
[    0.530483] task: fffffe07dbf00000 ti: fffffe07dbf80000 task.ti: fffffe07dbf80000
[    0.538235] PC is at dmi_matches+0x104/0x110
[    0.542670] LR is at dmi_matches+0x104/0x110
[    0.547087] pc : [<fffffe0000691674>] lr : [<fffffe0000691674>] pstate: 60000245
[    0.554761] sp : fffffe07dbf83de0
[    0.558192] x29: fffffe07dbf83de0 x28: 0000000000000000 
[    0.563733] x27: 0000000000000000 x26: 0000000000000000 
[    0.569273] x25: 0000000000000000 x24: 0000000000000000 
[    0.574753] x23: 0000000000000000 x22: 0000000000000000 
[    0.580241] x21: fffffe000084e258 x20: 0000000000000000 
[    0.585739] x19: fffffe0000f4c000 x18: 0000000000000010 
[    0.591218] x17: 0000000000000007 x16: 0000000000000001 
[    0.596715] x15: 0000000000000006 x14: fffffe0080e23caf 
[    0.602212] x13: fffffe0000e23cb7 x12: fffffe0000e23000 
[    0.607736] x11: 0000000000000000 x10: 0000000005f5e0ff 
[    0.613241] x9 : fffffe07dbf83b50 x8 : 6920746f6e203a6b 
[    0.618773] x7 : 6365686320696d64 x6 : 0000000000000070 
[    0.624269] x5 : 0000000000000006 x4 : fffffe0000bd8428 
[    0.629766] x3 : 0000000000000000 x2 : 0000000000000000 
[    0.635238] x1 : fffffe0000d13bd8 x0 : 000000000000001f 
[    0.640717] 
[    0.642239] ---[ end trace e8ab5bd4e2cd73f5 ]---
[    0.646975] Call trace:
[    0.649526] Exception stack(0xfffffe07dbf83c20 to 0xfffffe07dbf83d40)
[    0.656216] 3c20: fffffe0000f4c000 0000000000000000 fffffe07dbf83de0 fffffe0000691674
[    0.664322] 3c40: fffffe0000e65000 fffffe0000e23898 fffffe0000e23000 0000000000000000
[    0.672342] 3c60: fffffe07dbf83d00 fffffe000010df8c fffffe07dbf83d60 fffffe0000b048e8
[    0.680431] 3c80: fffffe000084e258 0000000000000000 0000000000000000 0000000000000000
[    0.688486] 3ca0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    0.696592] 3cc0: 000000000000001f fffffe0000d13bd8 0000000000000000 0000000000000000
[    0.704690] 3ce0: fffffe0000bd8428 0000000000000006 0000000000000070 6365686320696d64
[    0.712813] 3d00: 6920746f6e203a6b fffffe07dbf83b50 0000000005f5e0ff 0000000000000000
[    0.720877] 3d20: fffffe0000e23000 fffffe0000e23cb7 fffffe0080e23caf 0000000000000006
[    0.728958] [<fffffe0000691674>] dmi_matches+0x104/0x110
[    0.734481] [<fffffe00006916b0>] dmi_check_system+0x30/0x70
[    0.740255] [<fffffe0000bb2800>] lockup_detector_init+0x1c/0x74
[    0.746392] [<fffffe0000ba0aa4>] kernel_init_freeable+0xf0/0x248
[    0.752650] [<fffffe00008314f8>] kernel_init+0x20/0xe8
[    0.757966] [<fffffe00000851c0>] ret_from_fork+0x10/0x50
[    0.763743] Detected PIPT I-cache on CPU1
[    0.763764] CPU1: Booted secondary processor [500f0001]
[    0.763910] Detected PIPT I-cache on CPU2
[    0.763929] CPU2: Booted secondary processor [500f0001]
[    0.764064] Detected PIPT I-cache on CPU3
[    0.764075] CPU3: Booted secondary processor [500f0001]
[    0.764212] Detected PIPT I-cache on CPU4
[    0.764231] CPU4: Booted secondary processor [500f0001]
[    0.764364] Detected PIPT I-cache on CPU5
[    0.764375] CPU5: Booted secondary processor [500f0001]
[    0.764517] Detected PIPT I-cache on CPU6
[    0.764536] CPU6: Booted secondary processor [500f0001]
[    0.764672] Detected PIPT I-cache on CPU7
[    0.764683] CPU7: Booted secondary processor [500f0001]
[    0.764708] Brought up 8 CPUs
[    0.834838] SMP: Total of 8 processors activated.
[    0.839751] CPU: All CPU(s) started at EL2
[    0.844547] devtmpfs: initialized
[    0.849347] SMBIOS 3.0.0 present.
[    0.852920] clocksource: jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 1911260446275000 ns
[    0.863431] atomic64_test: passed
[    0.866916] pinctrl core: initialized pinctrl subsystem
[    0.872632] NET: Registered protocol family 16
[    0.877523] vdso: 2 pages (1 code @ fffffe0000ce0000, 1 data @ fffffe0000cd0000)
[    0.885220] hw-breakpoint: found 4 breakpoint and 4 watchpoint registers.
[    0.892649] DMA: preallocated 256 KiB pool for atomic allocations
[    0.899058] Serial: AMBA PL011 UART driver
[    0.911503] HugeTLB registered 2 MB page size, pre-allocated 0 pages
[    0.918109] HugeTLB registered 512 MB page size, pre-allocated 0 pages
[    0.925445] xgene-msi 79000000.msi: APM X-Gene PCIe MSI driver loaded
[    0.932199] ACPI: Interpreter disabled.
[    0.936363] vgaarb: loaded
[    0.939320] SCSI subsystem initialized
[    0.943409] usbcore: registered new interface driver usbfs
[    0.949052] usbcore: registered new interface driver hub
[    0.954575] usbcore: registered new device driver usb
[    0.960213] NetLabel: Initializing
[    0.963782] NetLabel:  domain hash size = 128
[    0.968288] NetLabel:  protocols = UNLABELED CIPSOv4
[    0.973411] NetLabel:  unlabeled traffic allowed by default
[    0.979251] clocksource: Switched to clocksource arch_sys_counter
[    1.002843] VFS: Disk quotas dquot_6.6.0
[    1.006980] VFS: Dquot-cache hash table entries: 8192 (order 0, 65536 bytes)
[    1.014612] pnp: PnP ACPI: disabled
[    1.021385] NET: Registered protocol family 2
[    1.026194] TCP established hash table entries: 262144 (order: 5, 2097152 bytes)
[    1.034529] TCP bind hash table entries: 65536 (order: 4, 1048576 bytes)
[    1.041805] TCP: Hash tables configured (established 262144 bind 65536)
[    1.048712] UDP hash table entries: 16384 (order: 3, 524288 bytes)
[    1.055386] UDP-Lite hash table entries: 16384 (order: 3, 524288 bytes)
[    1.062640] NET: Registered protocol family 1
[    1.067339] RPC: Registered named UNIX socket transport module.
[    1.073426] RPC: Registered udp transport module.
[    1.078271] RPC: Registered tcp transport module.
[    1.083158] RPC: Registered tcp NFSv4.1 backchannel transport module.
[    1.089946] Unpacking initramfs...
[    1.093476] Unable to handle kernel paging request at virtual address fffffe07f81fe000
[    1.101639] pgd = fffffe0000fa0000
[    1.105162] [fffffe07f81fe000] *pgd=000000401fe10003, *pud=000000401fe10003, *pmd=000000401fe10003, *pte=0000000000000000
[    1.116524] Internal error: Oops: 96000007 [#1] SMP
[    1.121581] Modules linked in:
[    1.124791] CPU: 0 PID: 1 Comm: swapper/0 Tainted: G        W       4.5.0-0.rc5.git0.1.fc24.aarch64 #1
[    1.134418] Hardware name: AppliedMicro Mustang/Mustang, BIOS 2.04.08-beta Feb  2 2016
[    1.142671] task: fffffe07dbf00000 ti: fffffe07dbf80000 task.ti: fffffe07dbf80000
[    1.150365] PC is at unpack_to_rootfs+0xcc/0x280
[    1.155145] LR is at unpack_to_rootfs+0x74/0x280
[    1.159934] pc : [<fffffe0000ba24ac>] lr : [<fffffe0000ba2454>] pstate: 20000045
[    1.167590] sp : fffffe07dbf83d40
[    1.170979] x29: fffffe07dbf83d40 x28: fffffe0000bf27d8 
[    1.176519] x27: fffffe0000c679d8 x26: fffffe0000bf2770 
[    1.182008] x25: fffffe0000ba0260 x24: fffffe0000dfb4b0 
[    1.187522] x23: fffffe0000a66498 x22: fffffe0000bf4070 
[    1.193028] x21: 0000000001320f50 x20: fffffe07f81fe000 
[    1.198577] x19: fffffe0000bf4000 x18: 0000000000000010 
[    1.204073] x17: 0000000000000000 x16: 0000000100000000 
[    1.209570] x15: 0000000000000006 x14: fffffe0080e23caf 
[    1.215050] x13: fffffe0000e23cb8 x12: fffffe0000e23000 
[    1.220546] x11: 0000000000000000 x10: 0000000005f5e0ff 
[    1.226035] x9 : fffffe07dbf83b10 x8 : 617274696e692067 
[    1.231506] x7 : fffffe07dbe46000 x6 : 0000000000000004 
[    1.236959] x5 : fffffe07dbe44000 x4 : fffffe07ffc2c3a0 
[    1.242499] x3 : 0000000000000005 x2 : fffffe0000bf4070 
[    1.247935] x1 : fffffe07dc2e8000 x0 : 0000000000000000 
[    1.253440] 
[    1.254980] Process swapper/0 (pid: 1, stack limit = 0xfffffe07dbf80020)
[    1.261886] Stack: (0xfffffe07dbf83d40 to 0xfffffe07dbf84000)
[    1.267850] 3d40: fffffe07dbf83da0 fffffe0000ba26d0 fffffe0000e20000 fffffe0000e20000
[    1.276044] 3d60: fffffe0000e20000 fffffe0000ba2660 0000000000000000 fffffe0000e20000
[    1.284124] 3d80: fffffe0000ba0260 fffffe0000bf2770 fffffdfef1f73040 fffffe07f3e1fe00
[    1.292274] 3da0: fffffe07dbf83dd0 fffffe0000082158 fffffe0000cf9620 fffffe0000cf9620
[    1.300372] 3dc0: fffffe07dca15c00 fffffe07f3e1fe00 fffffe07dbf83e50 fffffe0000ba0b60
[    1.308504] 3de0: 0000000000000104 fffffe0000e20000 0000000000000005 fffffe0000bf2840
[    1.316541] 3e00: fffffe0000b88000 fffffe0000bf2770 0000000000000000 fffffe0000bf27d0
[    1.324674] 3e20: fffffe0000d0cdd0 fffffe0000a6fa00 0000000000000000 0000000500000005
[    1.332867] 3e40: 0000000000000000 fffffe0000ba0260 fffffe07dbf83eb0 fffffe00008314f8
[    1.341025] 3e60: fffffe0000e20000 fffffe0000e20000 0000000000000000 0000000000000000
[    1.349140] 3e80: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    1.357178] 3ea0: 0000000000000000 0000000000000000 0000000000000000 fffffe00000851c0
[    1.365241] 3ec0: fffffe00008314d8 0000000000000000 0000000000000000 0000000000000000
[    1.373390] 3ee0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    1.381506] 3f00: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    1.389629] 3f20: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    1.397753] 3f40: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    1.405851] 3f60: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    1.413931] 3f80: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    1.421968] 3fa0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    1.430074] 3fc0: 0000000000000000 0000000000000000 0000000000000000 0000000000000005
[    1.438241] 3fe0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    1.446442] Call trace:
[    1.448968] Exception stack(0xfffffe07dbf83b80 to 0xfffffe07dbf83ca0)
[    1.455562] 3b80: fffffe0000bf4000 fffffe07f81fe000 fffffe07dbf83d40 fffffe0000ba24ac
[    1.463711] 3ba0: fffffe07dbf83bb0 fffffe000010d53c fffffe07dbf83c20 fffffe000010dc3c
[    1.471818] 3bc0: fffffe0000e23000 00000000000000ff fffffe0000d13000 0000000000000006
[    1.479968] 3be0: fffffe0000e236f8 0000000000000016 0000000000000000 fffffe0000e660fa
[    1.488109] 3c00: fffffe0000e65000 fffffe0000e23898 fffffe0000e23000 0000000000000000
[    1.496215] 3c20: 0000000000000000 fffffe07dc2e8000 fffffe0000bf4070 0000000000000005
[    1.504330] 3c40: fffffe07ffc2c3a0 fffffe07dbe44000 0000000000000004 fffffe07dbe46000
[    1.512437] 3c60: 617274696e692067 fffffe07dbf83b10 0000000005f5e0ff 0000000000000000
[    1.520552] 3c80: fffffe0000e23000 fffffe0000e23cb8 fffffe0080e23caf 0000000000000006
[    1.528746] [<fffffe0000ba24ac>] unpack_to_rootfs+0xcc/0x280
[    1.534624] [<fffffe0000ba26d0>] populate_rootfs+0x70/0xbc
[    1.540313] [<fffffe0000082158>] do_one_initcall+0xd8/0x1d8
[    1.546113] [<fffffe0000ba0b60>] kernel_init_freeable+0x1ac/0x248
[    1.552424] [<fffffe00008314f8>] kernel_init+0x20/0xe8
[    1.557758] [<fffffe00000851c0>] ret_from_fork+0x10/0x50
[    1.563273] Code: 9101c262 f100001f fa400aa4 540009e0 (39400280) 
[    1.569568] ---[ end trace e8ab5bd4e2cd73f6 ]---
[    1.574382] Kernel panic - not syncing: Attempted to kill init! exitcode=0x0000000b
[    1.574382] 
[    1.583829] CPU4: stopping
[    1.586626] CPU: 4 PID: 0 Comm: swapper/4 Tainted: G      D W       4.5.0-0.rc5.git0.1.fc24.aarch64 #1
[    1.596279] Hardware name: AppliedMicro Mustang/Mustang, BIOS 2.04.08-beta Feb  2 2016
[    1.604437] Call trace:
[    1.606957] [<fffffe0000088988>] dump_backtrace+0x0/0x268
[    1.612559] [<fffffe0000088c14>] show_stack+0x24/0x30
[    1.617781] [<fffffe0000421750>] dump_stack+0x84/0xa4
[    1.622986] [<fffffe000008e24c>] handle_IPI+0x264/0x278
[    1.628414] [<fffffe0000081cb0>] gic_handle_irq+0x90/0xb0
[    1.633972] Exception stack(0xfffffe07ffcd3fd0 to 0xfffffe07ffcd40f0)
[    1.640636] 3fc0:                                   fffffe07dbfb7e30 fffffe07dbfb4000
[    1.648759] 3fe0: fffffe07dbfb7f50 fffffe0000085a44 0000000060000045 0000000000000000
[    1.656900] 4000: fffffe07dbfb7f50 fffffe07dbfb7e30 0000000000000000 0000000000000000
[    1.665032] 4020: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    1.673191] 4040: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    1.681306] 4060: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    1.689430] 4080: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    1.697519] 40a0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    1.705720] 40c0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    1.713800] 40e0: 0000000000000000 0000000000000000
[    1.718840] [<fffffe0000084d20>] el1_irq+0xa0/0x100
[    1.723940] [<fffffe0000085a44>] arch_cpu_idle+0x24/0x120
[    1.729576] [<fffffe00000ffebc>] cpu_startup_entry+0x1fc/0x268
[    1.735661] [<fffffe000008dc00>] secondary_start_kernel+0x120/0x148
[    1.742092] [<0000004000281f9c>] 0x4000281f9c
[    1.746621] CPU5: stopping
[    1.749407] CPU: 5 PID: 0 Comm: swapper/5 Tainted: G      D W       4.5.0-0.rc5.git0.1.fc24.aarch64 #1
[    1.758973] Hardware name: AppliedMicro Mustang/Mustang, BIOS 2.04.08-beta Feb  2 2016
[    1.767131] Call trace:
[    1.769683] [<fffffe0000088988>] dump_backtrace+0x0/0x268
[    1.775320] [<fffffe0000088c14>] show_stack+0x24/0x30
[    1.780550] [<fffffe0000421750>] dump_stack+0x84/0xa4
[    1.785770] [<fffffe000008e24c>] handle_IPI+0x264/0x278
[    1.791138] [<fffffe0000081cb0>] gic_handle_irq+0x90/0xb0
[    1.796704] Exception stack(0xfffffe07ffd03fd0 to 0xfffffe07ffd040f0)
[    1.803428] 3fc0:                                   fffffe07dbfbbe30 fffffe07dbfb8000
[    1.811544] 3fe0: fffffe07dbfbbf50 fffffe0000085a44 0000000060000045 0000000000000000
[    1.819642] 4000: fffffe07dbfbbf50 fffffe07dbfbbe30 0000000000000000 0000000000000000
[    1.827713] 4020: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    1.835820] 4040: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    1.843943] 4060: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    1.852032] 4080: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    1.860147] 40a0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    1.868288] 40c0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    1.876333] 40e0: 0000000000000000 0000000000000000
[    1.881347] [<fffffe0000084d20>] el1_irq+0xa0/0x100
[    1.886403] [<fffffe0000085a44>] arch_cpu_idle+0x24/0x120
[    1.891996] [<fffffe00000ffebc>] cpu_startup_entry+0x1fc/0x268
[    1.898037] [<fffffe000008dc00>] secondary_start_kernel+0x120/0x148
[    1.904493] [<0000004000281f9c>] 0x4000281f9c
[    1.908962] CPU7: stopping
[    1.911758] CPU: 7 PID: 0 Comm: swapper/7 Tainted: G      D W       4.5.0-0.rc5.git0.1.fc24.aarch64 #1
[    1.921411] Hardware name: AppliedMicro Mustang/Mustang, BIOS 2.04.08-beta Feb  2 2016
[    1.929681] Call trace:
[    1.932227] [<fffffe0000088988>] dump_backtrace+0x0/0x268
[    1.937855] [<fffffe0000088c14>] show_stack+0x24/0x30
[    1.943094] [<fffffe0000421750>] dump_stack+0x84/0xa4
[    1.948410] [<fffffe000008e24c>] handle_IPI+0x264/0x278
[    1.953830] [<fffffe0000081cb0>] gic_handle_irq+0x90/0xb0
[    1.959405] Exception stack(0xfffffe07ffd63fd0 to 0xfffffe07ffd640f0)
[    1.966146] 3fc0:                                   fffffe07dbfc3e30 fffffe07dbfc0000
[    1.974253] 3fe0: fffffe07dbfc3f50 fffffe0000085a44 0000000060000045 0000000000000000
[    1.982360] 4000: fffffe07dbfc3f50 fffffe07dbfc3e30 0000000000000000 0000000000000000
[    1.990457] 4020: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    1.998607] 4040: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    2.006713] 4060: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    2.014846] 4080: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    2.022970] 40a0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    2.031119] 40c0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    2.039243] 40e0: 0000000000000000 0000000000000000
[    2.044308] [<fffffe0000084d20>] el1_irq+0xa0/0x100
[    2.049357] [<fffffe0000085a44>] arch_cpu_idle+0x24/0x120
[    2.054924] [<fffffe00000ffebc>] cpu_startup_entry+0x1fc/0x268
[    2.060974] [<fffffe000008dc00>] secondary_start_kernel+0x120/0x148
[    2.067481] [<0000004000281f9c>] 0x4000281f9c
[    2.071994] CPU6: stopping
[    2.074823] CPU: 6 PID: 0 Comm: swapper/6 Tainted: G      D W       4.5.0-0.rc5.git0.1.fc24.aarch64 #1
[    2.084415] Hardware name: AppliedMicro Mustang/Mustang, BIOS 2.04.08-beta Feb  2 2016
[    2.092659] Call trace:
[    2.095168] [<fffffe0000088988>] dump_backtrace+0x0/0x268
[    2.100778] [<fffffe0000088c14>] show_stack+0x24/0x30
[    2.106017] [<fffffe0000421750>] dump_stack+0x84/0xa4
[    2.111237] [<fffffe000008e24c>] handle_IPI+0x264/0x278
[    2.116648] [<fffffe0000081cb0>] gic_handle_irq+0x90/0xb0
[    2.122240] Exception stack(0xfffffe07ffd33fd0 to 0xfffffe07ffd340f0)
[    2.128886] 3fc0:                                   fffffe07dbfbfe30 fffffe07dbfbc000
[    2.136993] 3fe0: fffffe07dbfbff50 fffffe0000085a44 0000000060000045 0000000000000000
[    2.145064] 4000: fffffe07dbfbff50 fffffe07dbfbfe30 0000000000000000 0000000000000000
[    2.153232] 4020: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    2.161329] 4040: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    2.169410] 4060: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    2.177516] 4080: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    2.185631] 40a0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    2.193780] 40c0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    2.201912] 40e0: 0000000000000000 0000000000000000
[    2.206960] [<fffffe0000084d20>] el1_irq+0xa0/0x100
[    2.211974] [<fffffe0000085a44>] arch_cpu_idle+0x24/0x120
[    2.217549] [<fffffe00000ffebc>] cpu_startup_entry+0x1fc/0x268
[    2.223616] [<fffffe000008dc00>] secondary_start_kernel+0x120/0x148
[    2.230055] [<0000004000281f9c>] 0x4000281f9c
[    2.234551] CPU2: stopping
[    2.237382] CPU: 2 PID: 0 Comm: swapper/2 Tainted: G      D W       4.5.0-0.rc5.git0.1.fc24.aarch64 #1
[    2.247035] Hardware name: AppliedMicro Mustang/Mustang, BIOS 2.04.08-beta Feb  2 2016
[    2.255244] Call trace:
[    2.257799] [<fffffe0000088988>] dump_backtrace+0x0/0x268
[    2.263409] [<fffffe0000088c14>] show_stack+0x24/0x30
[    2.268623] [<fffffe0000421750>] dump_stack+0x84/0xa4
[    2.273835] [<fffffe000008e24c>] handle_IPI+0x264/0x278
[    2.279229] [<fffffe0000081cb0>] gic_handle_irq+0x90/0xb0
[    2.284838] Exception stack(0xfffffe07ffc73fd0 to 0xfffffe07ffc740f0)
[    2.291502] 3fc0:                                   fffffe07dbfafe30 fffffe07dbfac000
[    2.299591] 3fe0: fffffe07dbfaff50 fffffe0000085a44 0000000060000045 0000000000000000
[    2.307767] 4000: fffffe07dbfaff50 fffffe07dbfafe30 0000000000000000 0000000000000000
[    2.315899] 4020: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    2.324023] 4040: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    2.332086] 4060: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    2.340167] 4080: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    2.348351] 40a0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    2.356484] 40c0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    2.364555] 40e0: 0000000000000000 0000000000000000
[    2.369647] [<fffffe0000084d20>] el1_irq+0xa0/0x100
[    2.374695] [<fffffe0000085a44>] arch_cpu_idle+0x24/0x120
[    2.380314] [<fffffe00000ffebc>] cpu_startup_entry+0x1fc/0x268
[    2.386408] [<fffffe000008dc00>] secondary_start_kernel+0x120/0x148
[    2.392941] [<0000004000281f9c>] 0x4000281f9c
[    2.397427] CPU1: stopping
[    2.400229] CPU: 1 PID: 0 Comm: swapper/1 Tainted: G      D W       4.5.0-0.rc5.git0.1.fc24.aarch64 #1
[    2.409882] Hardware name: AppliedMicro Mustang/Mustang, BIOS 2.04.08-beta Feb  2 2016
[    2.418023] Call trace:
[    2.420558] [<fffffe0000088988>] dump_backtrace+0x0/0x268
[    2.426151] [<fffffe0000088c14>] show_stack+0x24/0x30
[    2.431460] [<fffffe0000421750>] dump_stack+0x84/0xa4
[    2.436707] [<fffffe000008e24c>] handle_IPI+0x264/0x278
[    2.442143] [<fffffe0000081cb0>] gic_handle_irq+0x90/0xb0
[    2.447701] Exception stack(0xfffffe07ffc43fd0 to 0xfffffe07ffc440f0)
[    2.454356] 3fc0:                                   fffffe07dbfabe30 fffffe07dbfa8000
[    2.462463] 3fe0: fffffe07dbfabf50 fffffe0000085a44 0000000060000045 0000000000000000
[    2.470647] 4000: fffffe07dbfabf50 fffffe07dbfabe30 0000000000000000 0000000000000000
[    2.478745] 4020: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    2.486938] 4040: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    2.495062] 4060: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    2.503159] 4080: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    2.511274] 40a0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    2.519441] 40c0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    2.527573] 40e0: 0000000000000000 0000000000000000
[    2.532595] [<fffffe0000084d20>] el1_irq+0xa0/0x100
[    2.537722] [<fffffe0000085a44>] arch_cpu_idle+0x24/0x120
[    2.543323] [<fffffe00000ffebc>] cpu_startup_entry+0x1fc/0x268
[    2.549391] [<fffffe000008dc00>] secondary_start_kernel+0x120/0x148
[    2.555898] [<0000004000281f9c>] 0x4000281f9c
[    2.560436] CPU3: stopping
[    2.563275] CPU: 3 PID: 0 Comm: swapper/3 Tainted: G      D W       4.5.0-0.rc5.git0.1.fc24.aarch64 #1
[    2.572824] Hardware name: AppliedMicro Mustang/Mustang, BIOS 2.04.08-beta Feb  2 2016
[    2.581033] Call trace:
[    2.583534] [<fffffe0000088988>] dump_backtrace+0x0/0x268
[    2.589101] [<fffffe0000088c14>] show_stack+0x24/0x30
[    2.594349] [<fffffe0000421750>] dump_stack+0x84/0xa4
[    2.599604] [<fffffe000008e24c>] handle_IPI+0x264/0x278
[    2.605049] [<fffffe0000081cb0>] gic_handle_irq+0x90/0xb0
[    2.610589] Exception stack(0xfffffe07ffca3fd0 to 0xfffffe07ffca40f0)
[    2.617219] 3fc0:                                   fffffe07dbfb3e30 ff[ f f Se 027.6d2bf3b80290]0 0
 MP[0 :    f2ff.f6f2e60717d7b]f b33ffe05:0  ffffffffffee0007d00b0f8b3[ ic    -2 .no6t32 s4y27nc] in-g--:[  Atentde mKpterende tlo  pakinilcl  i-n niot!t  esyxnitcciongd:e= 0Atxt00em[0  0 0 0200.6040201003090] 0 4000000:00 0ff0f00ff00e00070d300fb
fff50000 0ffb
00[f e 07 d 2b.f6b332e43027 ]00 
  000000000000 0000000000000000
[    2.655228] 4020: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    2.663395] 4040: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    2.671519] 4060: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    2.679686] 4080: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    2.687844] 40a0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    2.695993] 40c0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[    2.704091] 40e0: 0000000000000000 0000000000000000
[    2.709148] [<fffffe0000084d20>] el1_irq+0xa0/0x100
[    2.714213] [<fffffe0000085a44>] arch_cpu_idle+0x24/0x120
[    2.719770] [<fffffe00000ffebc>] cpu_startup_entry+0x1fc/0x268
[    2.725847] [<fffffe000008dc00>] secondary_start_kernel+0x120/0x148
[    2.732354] [<0000004000281f9c>] 0x4000281f9c
Comment 7 Itaru Kitayama 2016-02-26 00:15:43 EST
Peter, is ACPI going to be supported in f24?
Comment 8 Peter Robinson 2016-02-26 05:28:31 EST
(In reply to Itaru Kitayama from comment #7)
> Peter, is ACPI going to be supported in f24?

ACPI has been supported since F-22 when specifying it in the kernel command line. The issue is that most of the HW (PCI, usb etc) doesn't yet support it so you end up with about the equiv of 3.17 in terms of HW functionality (sata. serial, 1 NIC). Once the support is upstream it'll be supported.
Comment 9 Peter Robinson 2016-02-26 06:06:08 EST
It seems there's some weird irregularity with generating gzip initrds. Can you try "dracut  -f -v  --kver '<INSERT KERNEL VERSION>'" to regenerate the initrd and try again.
Comment 10 Itaru Kitayama 2016-02-26 07:11:40 EST
Thank you, Peter. Regenerating the initrd worked nicely, now I can get to the prompt with acpi=force.
Comment 11 Peter Robinson 2016-02-26 07:19:51 EST
(In reply to Itaru Kitayama from comment #10)
> Thank you, Peter. Regenerating the initrd worked nicely, now I can get to
> the prompt with acpi=force.

Can you confirm that regenerating the initrd also works without acpi=force (ie two separate issues)
Comment 12 Itaru Kitayama 2016-02-26 07:23:27 EST
I just checked that it also works witout acpi=force.
Comment 13 Marcin Juszkiewicz 2016-02-26 09:34:35 EST
This fault is not toolchain related. I built 4.5-rc5.git0.2 under Fedora 23 and it fails same way.
Comment 14 Peter Robinson 2016-02-26 09:37:40 EST
(In reply to Marcin Juszkiewicz from comment #13)
> This fault is not toolchain related. I built 4.5-rc5.git0.2 under Fedora 23
> and it fails same way.

You mean you built that kernel using f23 and installed it on F-24?

The initrd it built at install time in all cases, not at rpm build time. I suspect this is a gzip/dracut related issue.
Comment 15 Marcin Juszkiewicz 2016-02-26 10:01:50 EST
(In reply to Peter Robinson from comment #14)

> You mean you built that kernel using f23 and installed it on F-24?

Yes. Just wanted to be sure that it is not yet another toolchain related issue.
Comment 16 Marcin Juszkiewicz 2016-03-09 05:15:36 EST
Installed 4.5.0-rc7 (straight from koji [1]) and rebooted into system. No issue.

1. http://arm.koji.fedoraproject.org/koji/buildinfo?buildID=359888
Comment 17 Itaru Kitayama 2016-03-09 23:45:14 EST
Marcin, the kernel fails to boot on Mustang that has F/W built last August.
Comment 18 Peter Robinson 2016-03-10 06:59:15 EST
(In reply to Itaru Kitayama from comment #17)
> Marcin, the kernel fails to boot on Mustang that has F/W built last August.

I'm not convinced it's a problem with the kernel. We'll know more once I get nightly F-24 composes running which should be RSN.
Comment 19 Paul Whalen 2016-03-21 17:20:59 EDT
Still happening on both the mustang and seattle with 
kernel-4.5.0-300.fc24.aarch64 . On the mustang I am able to fully boot when using 'grubaa64.efi' instead of the default shim.efi .
Comment 20 Paul Whalen 2016-03-21 17:25 EDT
Created attachment 1138812 [details]
4.5 Mustang boot
Comment 21 Paul Whalen 2016-03-21 17:26 EDT
Created attachment 1138813 [details]
4.5 Seattle
Comment 22 Itaru Kitayama 2016-03-21 18:33:08 EDT
Paul, does it boot on Mustang even with acpi=force? You've been testing the case
acpi=off only, correct?
Comment 23 Paul Whalen 2016-03-22 10:16:49 EDT
With acpi=force it also fails to unpack the initrd
Comment 24 Paul Whalen 2016-03-22 10:17 EDT
Created attachment 1139081 [details]
4.5 Mustang acpi
Comment 25 Peter Robinson 2016-03-22 10:19:38 EDT
(In reply to Paul Whalen from comment #23)
> With acpi=force it also fails to unpack the initrd

That is completely expected. This is a problem with a compressed initrd. It is unclear if the problem is in the making of the compressed initrd or a bug in the decompression process. Either way a DT or ACPI boot will make no difference to the resulting outcome.
Comment 26 Itaru Kitayama 2016-03-24 23:14:41 EDT
4.5.0-0.rc7.git0.2.fc24.aarch64 kernel does not boot regardless of the parameter, acpi=force or off. This is just for the record as I've tested this against the fairly recent Tianocore from APM
Comment 27 Mark Salter 2016-03-29 14:12:54 EDT
This looks like this problem:

  https://lkml.org/lkml/2016/2/1/885

I'll try Ard's suggested hack and see how that works.
Comment 28 Itaru Kitayama 2016-03-30 00:30:18 EDT
I'll try to build kernel-arm64 tree once the patch is committed and test it on Mustang.
Comment 29 Peter Robinson 2016-03-31 10:19:32 EDT
kernel-4.5.0-302.fc24 should have the fix that's been requested for 4.5 stable upstream. It will be headed to f24-updates-testing shortly

http://arm.koji.fedoraproject.org/koji/buildinfo?buildID=364933
Comment 30 Itaru Kitayama 2016-03-31 18:32 EDT
Created attachment 1142383 [details]
4.5 kernel boot log on Mustang
Comment 31 Peter Robinson 2016-04-01 05:08:33 EDT
(In reply to Itaru Kitayama from comment #30)
> Created attachment 1142383 [details]
> 4.5 kernel boot log on Mustang

Can you please provide details of what it is your actually posting? "boot on device X" tells me nothing. What information is it providing?
Comment 32 Itaru Kitayama 2016-04-01 05:11:41 EDT
I just wanted to say the kernel-4.5.0-302.fc24 does boot on Mustang.
Comment 33 Peter Robinson 2016-04-01 05:13:47 EDT
As far as I'm aware the issues of this bug are fixed with kernel-4.5.0-302.fc24. If there's other issues please open a new bug with an appropriate title and detailed description.

Note You need to log in before you can comment on or make changes to this bug.